package net.wanji.web.service;

import net.wanji.web.bo.AddOrUpdateAreaBO;
import net.wanji.web.bo.AreaIdBO;
import net.wanji.web.bo.PolygonBO;
import net.wanji.web.bo.SpecialServiceRouteBO;
import net.wanji.web.vo.CrossIdAndNameVO;
import net.wanji.web.vo.ListAreaVO;
import net.wanji.web.vo.SelectCrossesByStartEndVO;

import java.util.List;

/**
 * @desc 路口管理服务
 */
public interface CrossManageService {


    List<CrossIdAndNameVO> selectCrossesByPolygon(PolygonBO polygonBO);

    AreaIdBO addOrUpdateArea(AddOrUpdateAreaBO addOrUpdateAreaBO);

    SelectCrossesByStartEndVO selectCrossesByStartEnd(SpecialServiceRouteBO specialServiceRouteBO);

    void deleteArea(AreaIdBO areaIdBO);

    ListAreaVO listArea();
}
